typedef struct knotlist { // linked list for storing codes associated with poly
  struct knotlist *next;
  knot n;
} knotlist;

typedef struct polytree { // binary tree for storing polynomials
  struct polytree *left, *right;
  poly p;
  knotlist *codes;
} polytree;

typedef struct twopolytree { // binary tree for storing polynomials
  struct twopolytree *left, *right;
  twopoly p;
  knotlist *codes;
} twopolytree;

int addtotwotree(twopolytree *, twopoly, knot);
int addtotree(polytree *, poly, knot);
knotlist *pgetknots(polytree *, poly);
knotlist *tpgetknots(twopolytree *, twopoly);
